=== debian/changelog ===
nut (2.8.3-3) unstable; urgency=medium

  * Use Conflicts instead of Breaks/Replaces to avoid file from disappearing
    (Closes: #1108948)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 01 Sep 2025 12:25:12 +0200

nut (2.8.3-2) experimental; urgency=medium

  * Remove wrapper script around upsd and upsmon. Also drop dh_installinit
    error-handler. On systemd, debhelper is not failing and SysVinit scripts
    already fail nicely if nothing is configured.
    Using the wrapper is actually breaking the upsmon -K functionality when
    MODE=none meaning that the power to the machine will always be killed on
    reboot in that case, that's definitely not something we want.
    See: https://github.com/networkupstools/nut/issues/2935 for the analysis
  * Move hwmon_ina219 driver to nut-i2c
  * Only install nhs_ser in linux architectures

 -- Laurent Bigonville <bigon@debian.org>  Tue, 08 Jul 2025 09:13:09 +0200

nut (2.8.3-1) experimental; urgency=medium

  * New upstream release (Closes: #1092106)
    - debian/patches/0001-reproductible-build.patch: Refreshed
    - Drop patches applied upstream or not needed anymore
    - Bump soname of libupsclient and libnutscan and adjust .symbols
    - debian/nut-server.install: Install new UPS drivers
    - Install the new nutconf tool in nut-client package
    - debian/control: Drop python3-zombie-telnetlib dependency for python3-nut
    - Install new systemd unit files for the device enumeration "daemon"
    - debian/control: Add systemd to the BD, we need systemd-analyze
    - debian/nut-cgi.docs: Install README.adoc instead of README
  * d/nut-server.lintian-overrides: Fix lintian override after move to /usr
  * debian/copyright: Update the FSF address, to please lintian
  * Removed unused lintian-overrides
  * debian/control: Remove generated versions for Conflicts, to please lintian
  * debian/control: Bump Standards-Version to 4.7.2 (no further changes)
  * debian/rules, debian/control: Enable sd_notify integration
    (Closes: #1065525)
  * debian/nut-monitor.install: Fix installation of the locales
  * debian/nut-server.manpages: Install missing clone-outlet.8 manpage
  * Move libnutscan.a to libnutscan-dev package
  * debian/control: Remove ancient Breaks/Replaces
  * Do not enable nut-logger by default, but allow the user to do it so easily
  * d/p/0008-drop-w3c-icons.patch: Remove external image
  * Move nut-common-tmpfiles.conf to nut-client package.
    Drop nut-client.tmpfile and nut-server.tmpfile (Closes: #1104642)
  * d/tests/testlib.py: replace crypt module with direct cffi calls to native
    crypt_ra C function. Since Python 3.13 removed crypt module from the
    standard library. Imported from Ubuntu, thanks to them for the change
  * d/t/test-nut.py: scale sleeps by x10 to mitigate flaky results
    (Closes: #1060655)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 30 Jun 2025 09:17:35 +0200
