## nut 2.8.4

=== scripts/Windows/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.16.3 from Makefile.am.
+# Makefile.in generated by automake 1.16.5 from Makefile.am.
 # scripts/Windows/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2020 Free Software Foundation, Inc.
+# Copyright (C) 1994-2021 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -167,6 +167,7 @@
 ##	wininit.$(OBJEXT)
 nut_OBJECTS = $(am_nut_OBJECTS)
 ##nut_DEPENDENCIES = $(top_builddir)/common/libcommon.la \
+##	$(top_builddir)/common/libcommonversion.la \
 ##	winevent.o
 AM_V_P = $(am__v_P_$(V))
 am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
@@ -227,26 +228,27 @@
   unique=`for i in $$list; do \
     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   done | $(am__uniquify_input)`
-ETAGS = etags
-CTAGS = ctags
 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 A2X = /usr/bin/a2x
-ACLOCAL = ${SHELL} '/export/home/jim/nut/missing' aclocal-1.16
+ACLOCAL = ${SHELL} '/home/jim/nut/missing' aclocal-1.16
 ALTPIDPATH = /var/state/ups
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = /usr/bin/ar
 ASCIIDOC = /usr/bin/asciidoc
+ASCIIDOC_LINKMANEXT_SECTION_REWRITE = yes
+ASCIIDOC_TEMPLATE_LINKMANEXT = https://linux.die.net/man/{0}/{target}
+ASCIIDOC_TEMPLATE_LINKMANEXT2 = https://linux.die.net/man/{2}/{target}
 ASPELL = /usr/bin/aspell
 ASPELL_FILTER_LIB_PATH = /usr/lib/aspell
 ASPELL_FILTER_SHARE_PATH = /usr/share/aspell
 ASPELL_FILTER_TEX_PATH = /usr/lib/aspell/x86_64-linux-gnu
 AUGPARSE = /usr/bin/augparse
-AUTOCONF = ${SHELL} '/export/home/jim/nut/missing' autoconf
-AUTOHEADER = ${SHELL} '/export/home/jim/nut/missing' autoheader
-AUTOMAKE = ${SHELL} '/export/home/jim/nut/missing' automake-1.16
-AWK = mawk
+AUTOCONF = ${SHELL} '/home/jim/nut/missing' autoconf
+AUTOHEADER = ${SHELL} '/home/jim/nut/missing' autoheader
+AUTOMAKE = ${SHELL} '/home/jim/nut/missing' automake-1.16
+AWK = gawk
 BINDIR = /usr/local/ups/bin
 BSDKVMPROCLIBS = 
 CC = gcc
@@ -259,7 +261,7 @@
 CONFIG_CFLAGS = 
 CONFIG_CPPFLAGS = 
 CONFIG_CXXFLAGS = 
-CONFIG_FLAGS = --with-all --with-dev --with-doc --enable-spellcheck --enable-warnings --enable-Werror --enable-maintainer-mode
+CONFIG_FLAGS = --with-all --with-dev --with-doc --enable-spellcheck --enable-docs-man-for-progs-built-only=no --enable-warnings --enable-Werror --enable-maintainer-mode
 CONFIG_LDFLAGS = 
 CONFPATH = /usr/local/ups/etc
 CPP = gcc -E
@@ -268,6 +270,8 @@
 CPPUNIT_CFLAGS = 
 CPPUNIT_LIBS = -lcppunit
 CPPUNIT_NUT_CXXFLAGS = -g -O0
+CSCOPE = cscope
+CTAGS = ctags
 CXX = g++
 CXXCPP = g++ -E
 CXXDEPMODE = depmode=gcc3
@@ -295,11 +299,14 @@
 ECHO_N = -n
 ECHO_T = 
 EGREP = /usr/bin/grep -E
+ETAGS = etags
 EXEEXT = 
 FGREP = /usr/bin/grep -F
 FORCE_NUT_VERSION = FORCE
 GDLIB_CONFIG = 
 GETENT = getent
+GITLOG_END_POINT = HEAD
+GITLOG_START_POINT = v2.6.0
 GREP = /usr/bin/grep
 HAVE_SYS_SOCKET_H = 1
 HAVE_WINSOCK2_H = 0
@@ -326,7 +333,7 @@
 LIBIPMI_CFLAGS = 
 LIBIPMI_LIBS = -lfreeipmi -lipmimonitoring
 LIBLTDL_CFLAGS = 
-LIBLTDL_LIBS = -lltdl
+LIBLTDL_LIBS = -lltdl  
 LIBMODBUS_CFLAGS = -I/usr/include/modbus
 LIBMODBUS_LIBS = -lmodbus
 LIBNEON_CFLAGS = -I/usr/include/neon
@@ -337,7 +344,7 @@
 LIBPOWERMAN_CFLAGS = 
 LIBPOWERMAN_LIBS = -lpowerman
 LIBREGEX_LIBS = 
-LIBS = -lpthread 
+LIBS = 
 LIBSSL_CFLAGS = 
 LIBSSL_LDFLAGS_RPATH = 
 LIBSSL_LIBS = -lssl -lcrypto
@@ -345,20 +352,6 @@
 LIBSYSTEMD_CFLAGS = 
 LIBSYSTEMD_LIBS = -lsystemd
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
-LIBTOOL_DEPS = ./ltmain.sh
+LIBTOOL_DEPS = ././/ltmain.sh
 LIBUSB_CFLAGS = -I/usr/include/libusb-1.0
 LIBUSB_CONFIG = /usr/bin/libusb-config
-LIBUSB_LIBS = -lusb-1.0
-LIBWRAP_CFLAGS = 
-LIBWRAP_LIBS = -lnsl -lwrap
-LIPO = 
-LN_S = ln -s
-LN_S_R = ln -s -r
-LTLIBOBJS = 
-LT_SYS_LIBRARY_PATH = 
-MAINT = 
-MAKEINFO = ${SHELL} '/export/home/jim/nut/missing' makeinfo
-MANIFEST_TOOL = :
-MAN_SECTION_API = 3
-MAN_SECTION_API_BASE = 3
-MAN_SECTION_CFG = 5
