=== debian/changelog ===
nut (2.8.4-1~exp1) experimental; urgency=medium

  * New upstream release 
  * Bump libnutscan soname to 4
  * Move the UPS drivers to /usr/libexec/nut
  * Add a debian/not-installed file
  * Add override for spare-manual-page, drivers are installed in /usr/libexec
  * Switch to debhelper-compat virtual package
  * debian/nut-cgi.lintian-overrides: Add override for
    package-contains-documentation-outside-usr-share-doc
  * Install the new UPS drivers
  * Move all the doc files from nut metapackages to nut-doc
  * debian/nut-doc.install: Also install the single page .html files
  * debian/nut-client.manpages: Install nut.7 manpage

 -- Laurent Bigonville <bigon@debian.org>  Wed, 24 Sep 2025 12:36:46 +0200
