=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laurent Bigonville <bigon@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), asciidoc <!nodoc>,
-               debhelper (>= 12),
+               debhelper-compat(= 12),
                dh-exec,
                dh-python,
                docbook-xml <!nodoc>,
@@ -270,7 +270,7 @@
  .
  This package provides the development files for the new client library.
 
-Package: libnutscan3
+Package: libnutscan4
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -288,7 +288,7 @@
 Package: libnutscan-dev
 Section: libdevel
 Architecture: any
-Depends: libnutscan3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libnutscan4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libnutscan2
 Multi-Arch: same
 Description: network UPS tools - development files for the scanner library
@@ -309,5 +309,3 @@
  allows computers to share uninterruptible power supply (UPS) and
  power distribution unit (PDU) hardware. Clients access the hardware
  through the server, and are notified whenever the power status
- changes.
- .
