## nut 2.8.4+really

=== debian/changelog ===
nut (2.8.4+really-2) unstable; urgency=medium

  * debian/control: Add source-highlight to the BDI
  * debian/nut-doc.install: Remove documentation that is not built anymore

 -- Laurent Bigonville <bigon@debian.org>  Fri, 17 Oct 2025 22:29:33 +0200

nut (2.8.4+really-1) unstable; urgency=medium

  * New upstream release 
  * Bump libnutscan soname to 4
  * Move the UPS drivers to /usr/libexec/nut
  * Add a debian/not-installed file
  * Add override for spare-manual-page, drivers are installed in /usr/libexec
  * Switch to debhelper-compat virtual package
  * debian/nut-cgi.lintian-overrides: Add override for
    package-contains-documentation-outside-usr-share-doc
  * Install the new UPS drivers
  * Move all the doc files from nut metapackages to nut-doc
  * debian/nut-doc.install: Also install the single page .html files
  * debian/nut-client.manpages: Install nut.7 manpage
  * debian/watch: Add signature verification

 -- Laurent Bigonville <bigon@debian.org>  Fri, 17 Oct 2025 20:03:27 +0200
