=== debian/control ===
--- 
+++ 
@@ -28,7 +28,8 @@
                xsltproc <!nodoc>
 Build-Depends-Indep: asciidoc-dblatex <!nodoc>,
                      dblatex <!nodoc>,
-                     docbook-xsl <!nodoc>
+                     docbook-xsl <!nodoc>,
+                     source-highlight <!nodoc>
 Standards-Version: 4.7.2
 Homepage: https://networkupstools.org/
 Vcs-Browser: https://salsa.debian.org/debian/nut
@@ -308,4 +309,3 @@
  Network UPS Tools (NUT) is a client/server monitoring system that
  allows computers to share uninterruptible power supply (UPS) and
  power distribution unit (PDU) hardware. Clients access the hardware
- through the server, and are notified whenever the power status
