=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	                     --enable-static \
 	                     --with-statepath=/run/nut \
 	                     --with-altpidpath=/run/nut \
-	                     --with-drvpath=/usr/lib/nut \
+	                     --with-drvpath=/usr/libexec/nut \
 	                     --with-cgipath=/usr/lib/cgi-bin/nut \
 	                     --with-htmlpath=/usr/share/nut/www \
 	                     --with-pidpath=/run/nut \
