=== debian/tests/control ===
Tests: nut
Depends: lsb-release, netcat, nut-client, nut-server, psmisc, python3, python3-cffi
Restrictions: needs-root
