=== debian/watch ===
version=4
opts="uversionmangle=s/-rc/~rc/, pgpsigurlmangle=s/$/.sig/" \
https://networkupstools.org/source/(?:([\d\.]+))/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
